"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Entity = void 0;
const constants_1 = require("../lib/constants");
const metadata_1 = require("../lib/metadata");
const Entity = (collectionName, entityOptions = {}) => (constructor) => {
    metadata_1.Metadata.define(constructor, constants_1.ENTITY_WATERMARK, true);
    metadata_1.Metadata.mergeDeep(constructor, constants_1.ENTITY_METADATA, {
        collectionName,
        entityOptions,
        entityColumns: []
    });
};
exports.Entity = Entity;
//# sourceMappingURL=entity.js.map