"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestedEntity = void 0;
const constants_1 = require("../lib/constants");
const metadata_1 = require("../lib/metadata");
const NestedEntity = (entityOptions = {}) => (constructor) => {
    metadata_1.Metadata.define(constructor, constants_1.NESTED_ENTITY_WATERMARK, true);
    metadata_1.Metadata.mergeDeep(constructor, constants_1.ENTITY_METADATA, {
        collectionName: null,
        entityOptions,
        entityColumns: []
    });
};
exports.NestedEntity = NestedEntity;
//# sourceMappingURL=nested-entity.js.map