import { DynamicModule } from '@nestjs/common';
import { Class, ForRootAsyncOptions, ForRootOptions } from '../lib/types';
export declare class MongodbModule {
    static forRoot({ global, connectionName, options }: ForRootOptions): DynamicModule;
    static forRootAsync({ global, connectionName, inject, useFactory }: ForRootAsyncOptions): DynamicModule;
    static forFeature(entities: Array<Class>, connectionName?: string): DynamicModule;
    static forTest(): DynamicModule;
}
