import { Class } from '../lib/types';
import { MongoDocument } from '../lib/mongo';
import { Collection } from '../lib/collection';
export type TestFeature<T extends MongoDocument> = {
    entity: Class<T>;
    seeds?: (collection: Collection<T>) => Promise<void> | void;
};
